## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csPoly2DEdgesPool Class Reference
[Geometry utilities]

This is an object pool which holds objects of type csPoly2DEdges. More...

`#include <csgeom/polyedge.h>`

List of all members.

## Public Member Functions

csPoly2DEdges * | Alloc ()
| Allocate a new object in the pool.
| csPoly2DEdgesPool ()
| Create an empty pool.
void | Free (csPoly2DEdges *pol)
| Free an object and put it back in the pool.
| ~csPoly2DEdgesPool ()
| Destroy pool and all objects in the pool.

## Detailed Description

This is an object pool which holds objects of type csPoly2DEdges.

You can ask new instances from this pool. If needed it will allocate one for you but ideally it can give you one which was allocated earlier.

Definition at line 157 of file polyedge.h.

## Constructor & Destructor Documentation

csPoly2DEdgesPool::csPoly2DEdgesPool | ( |  | ) | `[inline]`

| Create an empty pool. Definition at line 172 of file polyedge.h.

csPoly2DEdgesPool::~csPoly2DEdgesPool | ( |  | ) | `[inline]`

| Destroy pool and all objects in the pool. Definition at line 175 of file polyedge.h.

## Member Function Documentation

csPoly2DEdges* csPoly2DEdgesPool::Alloc | ( |  | ) | `[inline]`

| Allocate a new object in the pool. Definition at line 197 of file polyedge.h.

void csPoly2DEdgesPool::Free | ( | csPoly2DEdges * | pol | ) | `[inline]`

| Free an object and put it back in the pool. Note that it is only legal to free objects which were allocated from the pool. Definition at line 220 of file polyedge.h. References CS_ASSERT.

The documentation for this class was generated from the following file:

- csgeom/polyedge.h